### Hierarchy

- GraphicsShaderFill

### Implements

- IGraphicsData
- IGraphicsFill

## Index

### Constructors

- constructor

### Properties

- matrix
- shader

## Constructors

### constructor

- new GraphicsShaderFill(shader?: Shader, matrix?: Matrix): GraphicsShaderFill

- - Defined in lib/openfl/display/GraphicsShaderFill.d.ts:14

  #### Parameters

  - ##### Optional shader: Shader

  - ##### Optional matrix: Matrix

  #### Returns GraphicsShaderFill

## Properties

### matrix

matrix: Matrix

- Defined in lib/openfl/display/GraphicsShaderFill.d.ts:13

### shader

shader: Shader

- Defined in lib/openfl/display/GraphicsShaderFill.d.ts:14

Generated using TypeDoc